using System;
using System.Collections.Generic;
//using System.Text.Json.Serialization; // 用于 System.Text.Json
using Newtonsoft.Json; // 如果使用 Newtonsoft.Json 则取消注释
namespace MisDataSaveDate.MOM
{
    public class AlarmClosed
    {
        [JsonProperty("taskID")]
        // [JsonProperty("taskID")] // Newtonsoft.Json 用法
        public string alarmTaskId { get; set; } // 报警任务ID

        [JsonProperty("handleInfo")]
        public List<AlarmHandleInfo> HandleInfos { get; set; } // 处理信息列表
    }

    public class AlarmHandleInfo
    {
        [JsonProperty("userId")]
        public string UserId { get; set; } // 处理用户ID

        [JsonProperty("userCode")]
        public string UserCode { get; set; } // 处理用户编号

        [JsonProperty("userName")]
        public string UserName { get; set; } // 处理用户名称

        [JsonProperty("startTime")]
        public string StartTime { get; set; } // 处理开始时间

        [JsonProperty("endTime")]
        public string EndTime { get; set; } // 处理完成时间（可空）
    }
}